package com.android.chmo.utils;

import java.util.HashSet;
import java.util.Random;
import java.util.Set;

/**
 * Created by Administrator on 2018/8/2.
 */

public class CodeUtils {

    public static String randomCode() {
        Random random = new Random();
        Set<Integer> set = new HashSet<Integer>();
        while (set.size() < 4)
        {
            int randomInt = random.nextInt(10);
            set.add(randomInt);
        }
        StringBuffer sb = new StringBuffer();
        for (Integer i : set)
        {
            sb.append("" + i);
        }
        return sb.toString();
    }

    public static String getCodeStr(int type, String code) {
        switch (type) {
            case 0:
                return "【千模科技】不得了，了不得。您即将看到成千上万的模特小姐姐。验证码" + code + "，用于帐号注册，5分钟内有效。请勿泄露。非本人操作，请勿理会。";
            case 1:
                return "【千模科技】您正在找回密码，验证码" + code + "，5分钟内有效。请勿泄露。来千模多挣钱，有钱日子天天过年。非本人操作，请勿理会。";
            case 2:
                return "【千模科技】验证码" + code + "，用于更换手机号，5分钟内有效。验证码提供给他人可能导致账号安全风险，请勿泄露。非本人操作，请勿理会。";
            case 3:
                return  "【千模科技】您正在进行提现账号绑定，验证码" + code + "，5分钟内有效。请勿泄露。来千模多挣钱，有钱日子天天过年。非本人操作，请勿理会。";

        }
        return  "";
    }
}
